DataInputStream
Date: 2016-06-24

java.io

## Class DataInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream

- All Implemented Interfaces:
    DataInput

      public class DataInputStream
      extends FilterInputStream
      implements DataInput

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataInputStream(InputStream var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read(byte[] var0)`
    `int` | `read(byte[] var0, int var1, int var2)`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] var0)`
    `void` | `readFully(byte[] var0, int var1, int var2)`
    `int` | `readInt()`
    `String` | `readLine()` Deprecated.
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `static String` | `readUTF(DataInput var0)`
    `int` | `skipBytes(int var0)`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataInputStream

          public DataInputStream(InputStream var0)

  - ### Method Detail

    - #### read

          public final int read(byte[] var0)
                         throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public final int read(byte[] var0,
                 int var1,
                 int var2)
                         throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### readBoolean

          public final boolean readBoolean()
                                    throws IOException

      Specified by:
        `readBoolean` in interface `DataInput`
      Throws:
        `IOException`

    - #### readByte

          public final byte readByte()
                              throws IOException

      Specified by:
        `readByte` in interface `DataInput`
      Throws:
        `IOException`

    - #### readChar

          public final char readChar()
                              throws IOException

      Specified by:
        `readChar` in interface `DataInput`
      Throws:
        `IOException`

    - #### readDouble

          public final double readDouble()
                                  throws IOException

      Specified by:
        `readDouble` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFloat

          public final float readFloat()
                                throws IOException

      Specified by:
        `readFloat` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFully

          public final void readFully(byte[] var0)
                               throws IOException

      Specified by:
        `readFully` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFully

          public final void readFully(byte[] var0,
                       int var1,
                       int var2)
                               throws IOException

      Specified by:
        `readFully` in interface `DataInput`
      Throws:
        `IOException`

    - #### readInt

          public final int readInt()
                            throws IOException

      Specified by:
        `readInt` in interface `DataInput`
      Throws:
        `IOException`

    - #### readLine

          public final String readLine()
                                throws IOException

      Deprecated.
      Specified by:
        `readLine` in interface `DataInput`
      Throws:
        `IOException`

    - #### readLong

          public final long readLong()
                              throws IOException

      Specified by:
        `readLong` in interface `DataInput`
      Throws:
        `IOException`

    - #### readShort

          public final short readShort()
                                throws IOException

      Specified by:
        `readShort` in interface `DataInput`
      Throws:
        `IOException`

    - #### readUTF

          public final String readUTF()
                               throws IOException

      Specified by:
        `readUTF` in interface `DataInput`
      Throws:
        `IOException`

    - #### readUTF

          public static final String readUTF(DataInput var0)
                                      throws IOException

      Throws:
        `IOException`

    - #### readUnsignedByte

          public final int readUnsignedByte()
                                     throws IOException

      Specified by:
        `readUnsignedByte` in interface `DataInput`
      Throws:
        `IOException`

    - #### readUnsignedShort

          public final int readUnsignedShort()
                                      throws IOException

      Specified by:
        `readUnsignedShort` in interface `DataInput`
      Throws:
        `IOException`

    - #### skipBytes

          public final int skipBytes(int var0)
                              throws IOException

      Specified by:
        `skipBytes` in interface `DataInput`
      Throws:
        `IOException`